%% Salt dome detection using PC
% ===============================================================================
%  Please, cite the following papers in your publication if you use this script.
% ===============================================================================
% M. A. Shafiq, Y. Alaudah, G. AlRegib, and M. Deriche, Phase Congruency for Image understanding with 
% applications in Computational Seismic Interpretation, The 42nd IEEE International Conference on Acoustics, 
% Speech and Signal Processing (ICASSP). The Internet of Signals, New Orleans, USA, March 5-9, 2017.

% If you have found any bugs or have any questions/suggestions, 
% please contact amirshafiq@gatech.edu 

%% Phase cong explaination
clc
clear
close all

%% Add path
addpath(genpath('Functions'))
addpath(genpath('Mat Files'))

%% Read Image
Img_Read = (imread('Functions\Coat_of_arms.png'));
Img_ReadC = imrotate(Img_Read,0.6);
Img_Read = imcrop(Img_ReadC,[60 30 680 550]);

% PC map
Ph_Cong =  phasecong3(Img_Read,3,4,4,1.6,0.3,2,0.5,10,-1);
PC_BinImg = im2bw(Ph_Cong, graythresh(Ph_Cong));     % Thresholded PC

%% Display
figure(10)
subplot(121)
imshow(Img_Read, [])
title('Image')

a2 = subplot(122);
imshow(Ph_Cong, [])
colormap(a2, 'parula')
colorbar
